Bug 9606 - HTTPUrlConnection does not send Host: header
Summary: HTTPUrlConnection does not send Host: header
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kaffe   
(Show other bugs)
Version: 6.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL: http://impp.research.ecal.com/java-mo...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-02-20 15:29 UTC by John Stracke
Modified: 2014-03-17 02:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-22 21:44:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John Stracke 2000-02-20 15:29:39 UTC
The HTTP client code in kaffe does not send the Host: header.
This means that it can't access virtual hosts.  The fix is
very simple; just add the Host: header (with value taken from
url.getHost()) in the writeBytes() call in the connect() method in
libraries/libjava/kaffe/net/www/protocol/http/HttpURLConnection.java

I have made the fix available at
<http://impp.research.ecal.com/java-model/kaffe-bug.html>.
You'll find a patch, an SRPM, an RPM, the updated Klasses.jar, and a test
case.

Comment 1 Bill Nottingham 2000-02-22 21:44:59 UTC
fixed in kaffe-1.0.5-3.


Note You need to log in before you can comment on or make changes to this bug.